Paste #ev1XvekST

diff --git a/utils/build-android-docker.sh b/utils/build-android-docker.sh
index f7a3ad2..f1fe206 100755
--- a/utils/build-android-docker.sh
+++ b/utils/build-android-docker.sh
@@ -3,6 +3,12 @@
 # KDE Frameworks Version, either master or a version number
 KAIDAN_SOURCES=$(dirname "$(readlink -f "${0}")")/..
 
+mkdir -p $KAIDAN_SOURCES/build-android
+if ! [ -f "${KAIDAN_SOURCES}/build-kaidan/src/kaidan" ]; then
+       ln -s $KAIDAN_SOURCES/ $KAIDAN_SOURCES/build-android/src/kaidan
+fi
+cd $KAIDAN_SOURCES/build-android
+
 KF5_VERSION=${KF5_VERSION:-master}
 CI_PROJECT_NAME=${CI_PROJECT_NAME:-kaidan}
 CI_REPOSITORY_URL=${CI_REPOSITORY_URL:-$(git remote get-url origin)}
@@ -19,11 +25,6 @@ GIT_EXTRA="--branch ${KF5_VERSION}" /opt/helpers/build-kde-dependencies --withPr
 /opt/helpers/build-cmake qxmpp https://github.com/qxmpp-project/qxmpp.git -DBUILD_EXAMPLES=OFF -DBUILD_TESTS=OFF
 /opt/helpers/build-cmake zxing-cpp https://github.com/nu-book/zxing-cpp.git
 
-# Trick the script to not clone kaidan once again
-if ! [ -f "${KAIDAN_SOURCES}/kaidan/" ]; then
-    ln -s ${KAIDAN_SOURCES} ${PWD}/src/kaidan
-fi
-
 # Build Kaidan
 /opt/helpers/build-cmake ${CI_PROJECT_NAME} ${CI_REPOSITORY_URL} -DQTANDROID_EXPORTED_TARGET=kaidan -DANDROID_APK_DIR=${CI_PROJECT_DIR}/src/${CI_PROJECT_NAME}/misc/android -DI18N=1 -DUSE_KNOTIFICATIONS=ON